Subject: RE: [mobile-ip] Hierarchical MIPv6 Requirements

From: James Kempf <[email-masked]>
Date: Fri, 16 Mar 2001 10:28:21 -0800 (PST)

Hi Karim,

Thanx for your reply.

>Working for Ericsson I am of course interested in spectrum efficiency.
>However it has been already pointed out that this is probably
>a ROHC issue, independent of HMIP, and I believe ROHC WG is working
>on this.
>

The specific issue had to do with moving header compression context,
and especially whether there is additional overhead involved in re-establishing 
header compression after handover at all or with additional tunnel headers or
header options. I think this is probably a Seamoby/Context Transfer issue.

>> In this email, I'd like to bring up an additional requirement. There
>> has been some discussion about whether or not arbitrary levels of
>> hierarchy are of value. We recently did a study of using HMIP for
>> a next generation IP based radio access network, and one of the 
>> issues was supporting arbitrary levels of hierarchy with 
>> minimal (ideally
>> no) mobile involvement.
>
>Can you give reason?

Yes. In the RAN design we are looking at, there is an upper part
on which packets are application or user packets. We would like
to use a hierarchical MIP to implement mobility (what we call
micromobility, which is different from what Seamoby calls micromobility)
across this part of the RAN. I can't say more without getting into
deeper technical details, which I would rather not at the moment.
The important point is that we would like the mobile to be aware
of just one level of hierarchy, and there will be hierarchy outside
the RAN, in the core, if the operator wants to optimize signalling,
or provide a locally assigned home address.

>I believe that it is important for HMIPv6 not to be tailored only to
>RAN issues. It should be simple and generic.
>

Agreed.

>> It seemed like it could be done with extended
>> mode, but there were other problems with extended mode that made
>> it less attractive. I have not looked at the most recent draft yet,
>> perhaps those points have been addressed.
>
>OK.
>
>> 
>> One of our requirements is that it shall be possible to support
>> multiple levels of hierarchy with minimal (ideally no) mobile 
>> involvement.
>
>This is a very specific case, so I'd be interested if you
>could provide more reasons for this requirement. It's not a requirement
>from RAN standards I'm involved in.
>

The requirements come out of the MWIF study on IP based RANs, but 
3GPP2 has begun an activity to redesign their RAN to be more compatible
with IP. So far, 3GPP hasn't been very receptive to this idea. We
would like to submit the design we've been  looking at to 3GPP2, but
we want to make sure we have a good hierarchical scheme.

		jak

---

From: "Jari T. Malinen" <[email-masked]>
Date: Fri, 16 Mar 2001 13:27:05 -0800

Karim, James,

A more thorough open discussion on the requirements is needed.
I believe bringing the requirements to the open in some sort of
document might clear the picture. There might have been a too
fast jump to the solution space. Requirements, comparing alternative
approaches etc. should be done a bit more widely.

> >a ROHC issue, independent of HMIP, and I believe ROHC WG is working

I think this should not preclude spectral efficiency requirement for L3. 
Handling HC context is heavy and looks deep to the packet to determine
the method, if one might conclude something from the big ROHC documents..

> or provide a locally assigned home address.

To understand this more, it might merit a deeper technical discussion
than might be possible under a couple of e-mails or under a slot
in the IETF.

Best Regards,

-Jari